> ## Documentation Index
> Fetch the complete documentation index at: https://docs.velafi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取白名单地址列表

> 列出加密货币提现白名单中的地址，支持可选筛选条件和分页。

使用此端点列出加密货币提现白名单中的有效条目。

> [!NOTE]
>
> 所有请求都必须在 `X-BH-TOKEN` 请求头中携带访问令牌。请参阅[认证](https://docs.velafi.com/cn/api-reference/authentication.md)。

## 端点

`GET https://api.velafi.com/v2/user/whitelistAddress`

## 查询参数

**crypto** `string`

按代币符号筛选。

**chainType** `string`

按网络名称筛选。

**address** `string`

按地址筛选。

**addressTag** `string`

按 memo 或标签筛选。

**currentPage** `number` (default: 1)

页码，从 `1` 开始。默认为 `1`。

**pageSize** `number` (default: 10)

每页记录数，范围为 `1` 到 `1000`。默认为 `10`。

## 响应字段

**code** `number`

`200` 表示成功。

**msg** `string`

成功时为 `SUCCESS`。

**data** `object`

**data 字段**

**currentPage** `number`

返回的页码。

**size** `number`

查询所使用的每页大小。

**total** `number`

匹配条目的总数。

**record** `array`

**record 项字段**

**addressId** `number`

白名单条目的 ID。

**crypto** `string`

代币符号。

**chainType** `string`

网络名称。

**address** `string`

白名单地址。

**addressTag** `string`

Memo 或标签。若无则为空字符串。

**remark** `string`

您为该地址设置的备注标签。

## 示例

```bash cURL theme={null}
curl -G https://api.velafi.com/v2/user/whitelistAddress \
  -H "X-BH-TOKEN: YOUR_ACCESS_TOKEN" \
  --data-urlencode "crypto=USDT" \
  --data-urlencode "chainType=TRC20"
```


## Related topics

- [添加白名单地址](https://docs.velafi.com/cn/api-reference/crypto-wallet/add-whitelist-address.md)
- [删除白名单地址](https://docs.velafi.com/cn/api-reference/crypto-wallet/delete-whitelist-address.md)
- [获取提现额度](https://docs.velafi.com/cn/api-reference/crypto-wallet/get-withdrawal-quota.md)
- [认证](https://docs.velafi.com/cn/api-reference/authentication.md)
- [创建加密货币提现](https://docs.velafi.com/cn/api-reference/crypto-wallet/create-crypto-withdrawal.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.